Bullet Collision Detection & Physics Library: Bullet::btGeneric6DofConstraintData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btGeneric6DofConstraintData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btGeneric6DofConstraintData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
btVector3FloatData | m_linearUpperLimit
btVector3FloatData | m_linearLowerLimit
btVector3FloatData | m_angularUpperLimit
btVector3FloatData | m_angularLowerLimit
int | m_useLinearReferenceFrameA
int | m_useOffsetForConstraintFrame

## Detailed Description

Definition at line 1038 of file bullet.h.

## Member Data Documentation

## ◆ m_angularLowerLimit

btVector3FloatData Bullet::btGeneric6DofConstraintData::m_angularLowerLimit

Definition at line 1047 of file bullet.h.

## ◆ m_angularUpperLimit

btVector3FloatData Bullet::btGeneric6DofConstraintData::m_angularUpperLimit

Definition at line 1046 of file bullet.h.

## ◆ m_linearLowerLimit

btVector3FloatData Bullet::btGeneric6DofConstraintData::m_linearLowerLimit

Definition at line 1045 of file bullet.h.

## ◆ m_linearUpperLimit

btVector3FloatData Bullet::btGeneric6DofConstraintData::m_linearUpperLimit

Definition at line 1044 of file bullet.h.

## ◆ m_rbAFrame

btTransformFloatData Bullet::btGeneric6DofConstraintData::m_rbAFrame

Definition at line 1042 of file bullet.h.

## ◆ m_rbBFrame

btTransformFloatData Bullet::btGeneric6DofConstraintData::m_rbBFrame

Definition at line 1043 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintData Bullet::btGeneric6DofConstraintData::m_typeConstraintData

Definition at line 1041 of file bullet.h.

## ◆ m_useLinearReferenceFrameA

int Bullet::btGeneric6DofConstraintData::m_useLinearReferenceFrameA

Definition at line 1048 of file bullet.h.

## ◆ m_useOffsetForConstraintFrame

int Bullet::btGeneric6DofConstraintData::m_useOffsetForConstraintFrame

Definition at line 1049 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h